---
title: List Model Lab project artifacts
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Model Lab API
---

# List Model Lab project artifacts{% #list-model-lab-project-artifacts %}

{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                           |
| ----------------- | -------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/model-lab-api/projects/{project_id}/artifacts |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/model-lab-api/projects/{project_id}/artifacts |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/model-lab-api/projects/{project_id}/artifacts      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/model-lab-api/projects/{project_id}/artifacts      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/model-lab-api/projects/{project_id}/artifacts  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/model-lab-api/projects/{project_id}/artifacts     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/model-lab-api/projects/{project_id}/artifacts |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/model-lab-api/projects/{project_id}/artifacts |

### Overview

List all artifact files for a specific Model Lab project.

### Arguments

#### Path Parameters

| Name                         | Type    | Description                      |
| ---------------------------- | ------- | -------------------------------- |
| project_id [*required*] | integer | The ID of the Model Lab project. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing the artifact listing for a Model Lab project.

| Parent field | Field                           | Type      | Description                                                                              |
| ------------ | ------------------------------- | --------- | ---------------------------------------------------------------------------------------- |
|              | data [*required*]          | object    | A project artifacts JSON:API resource object.                                            |
| data         | attributes [*required*]    | object    | Artifact listing for a Model Lab project.                                                |
| attributes   | files [*required*]         | [object]  | The list of artifact files associated with the project.                                  |
| files        | artifact_path [*required*] | string    | The full artifact path relative to the project's artifact root.                          |
| files        | created_at [*required*]    | date-time | The date and time the artifact was created.                                              |
| files        | file_size                       | int64     | The size of the file in bytes.                                                           |
| files        | filename [*required*]      | string    | The filename of the artifact.                                                            |
| data         | id [*required*]            | string    | The unique identifier of the project artifacts resource.                                 |
| data         | type [*required*]          | enum      | The JSON:API type for a project artifacts resource. Allowed enum values: `project_files` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "files": [
        {
          "artifact_path": "projects/1/artifacts/model.pkl",
          "created_at": "2024-01-20T10:00:00Z",
          "file_size": "integer",
          "filename": "model.pkl"
        }
      ]
    },
    "id": "1",
    "type": "project_files"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="500" %}
Internal Server Error
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export project_id="1" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/model-lab-api/projects/${project_id}/artifacts" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
